FamilySystem = {}

include("fsystem/sh_fsystem_config.lua")

if SERVER then
	AddCSLuaFile("fsystem/sh_fsystem_config.lua")
	AddCSLuaFile("fsystem/client/vgui/dcustompanel.lua")
	AddCSLuaFile("fsystem/client/vgui/dsidemenu.lua")
	AddCSLuaFile("fsystem/client/vgui/dflatbutton.lua")
	AddCSLuaFile("fsystem/client/vgui/circleavater.lua")
	AddCSLuaFile("fsystem/client/vgui/managertab.lua")
	AddCSLuaFile("fsystem/client/cl_fsystem.lua")
	AddCSLuaFile("fsystem/client/cl_menus.lua")

	include("fsystem/server/sv_dataprovider.lua")
	include("fsystem/server/sv_functions.lua")
	include("fsystem/server/sv_fsystem.lua")
	include("fsystem/server/sv_commands.lua")
	include("fsystem/server/sv_mg_sync_ext.lua")
end

if CLIENT then
	include("fsystem/client/vgui/dcustompanel.lua")
	include("fsystem/client/vgui/dsidemenu.lua")
	include("fsystem/client/vgui/dflatbutton.lua")
	include("fsystem/client/vgui/circleavater.lua")
	include("fsystem/client/vgui/managertab.lua")
	include("fsystem/client/cl_fsystem.lua")
	include("fsystem/client/cl_menus.lua")
end